Subject: a film on mushrooms

From: [email-masked] (Angelica Brisk)
Date: 30 Nov 1994 19:42:00 -0500

I am just finishing a half hour film on several aspects of people's 
relationship to mushrooms.  I would be interested to hear mycologists 
ideas for where it could be shown and I would be happy to put interested 
people on a mailing list for information about the film.  please let me 
know.  Thanks for your help